Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.logging
Class JDK14LoggerPlugin

    java.lang.Object
      org.jboss.logging.JDK14LoggerPlugin

All Implemented Interfaces:
  LoggerPlugin

public class JDK14LoggerPlugin
extends Object
implements LoggerPlugin

An example LoggerPlugin which uses the JDK java.util.logging framework.

Version:
  $Revison:$
Author:
  Scott.Stark@jboss.org

Constructor Summary
`JDK14LoggerPlugin()`

Method Summary
`void` | `debug(Object message)`
`void` | `debug(Object message, Throwable t)`
`void` | `error(Object message)`
`void` | `error(Object message, Throwable t)`
`void` | `fatal(Object message)`
`void` | `fatal(Object message, Throwable t)`
`void` | `info(Object message)`
`void` | `info(Object message, Throwable t)`
`void` | `init(String name)`
`boolean` | `isDebugEnabled()`
`boolean` | `isInfoEnabled()`
`boolean` | `isTraceEnabled()`
`void` | `trace(Object message)`
`void` | `trace(Object message, Throwable t)`
`void` | `warn(Object message)`
`void` | `warn(Object message, Throwable t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDK14LoggerPlugin

    public JDK14LoggerPlugin()

Method Detail

### init

    public void init(String name)

  Specified by:
    `init` in interface `LoggerPlugin`

### isTraceEnabled

    public boolean isTraceEnabled()

  Specified by:
    `isTraceEnabled` in interface `LoggerPlugin`

### trace

    public void trace(Object message)

  Specified by:
    `trace` in interface `LoggerPlugin`

### trace

    public void trace(Object message,
                      Throwable t)

  Specified by:
    `trace` in interface `LoggerPlugin`

### isDebugEnabled

    public boolean isDebugEnabled()

  Specified by:
    `isDebugEnabled` in interface `LoggerPlugin`

### debug

    public void debug(Object message)

  Specified by:
    `debug` in interface `LoggerPlugin`

### debug

    public void debug(Object message,
                      Throwable t)

  Specified by:
    `debug` in interface `LoggerPlugin`

### isInfoEnabled

    public boolean isInfoEnabled()

  Specified by:
    `isInfoEnabled` in interface `LoggerPlugin`

### info

    public void info(Object message)

  Specified by:
    `info` in interface `LoggerPlugin`

### info

    public void info(Object message,
                     Throwable t)

  Specified by:
    `info` in interface `LoggerPlugin`

### warn

    public void warn(Object message)

  Specified by:
    `warn` in interface `LoggerPlugin`

### warn

    public void warn(Object message,
                     Throwable t)

  Specified by:
    `warn` in interface `LoggerPlugin`

### error

    public void error(Object message)

  Specified by:
    `error` in interface `LoggerPlugin`

### error

    public void error(Object message,
                      Throwable t)

  Specified by:
    `error` in interface `LoggerPlugin`

### fatal

    public void fatal(Object message)

  Specified by:
    `fatal` in interface `LoggerPlugin`

### fatal

    public void fatal(Object message,
                      Throwable t)

  Specified by:
    `fatal` in interface `LoggerPlugin`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.